
Katello - Bug #23944

The new add subscriptions page renders SubscriptionDetailsPage at the same time

06/14/2018 04:06 PM - Amir Fefer

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Subscriptions   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/745
Description

this happens because Route path on SubscriptionDetailsPage is `"xui/subscriptions/:id`

with no any regex filter. therefore the subscriptions add page with its route 'xui/subscriptions/add' triggers both.

Related issues:

Has duplicate Katello - Bug #23946: RH Subscriptions: subscription details pa... Duplicate 06/14/2018

Associated revisions

Revision 837ebedf - 06/17/2018 12:47 PM - Amir Fefer

Fixes #23944 - Fix react router SubscriptionDetails path

History

#1 - 06/14/2018 04:11 PM - Amir Fefer

- Subject changed from New subscriptions add page renders SubscriptionDetailsPage at the same time to The new add subscriptions page renders

SubscriptionDetailsPage at the same time

#2 - 06/14/2018 04:13 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7454 added

#3 - 06/15/2018 10:23 PM - Walden Raines

- Category set to Subscriptions

- Target version set to 253

#4 - 06/15/2018 10:24 PM - Walden Raines

- translation missing: en.field_release set to 338

#5 - 06/15/2018 10:24 PM - Walden Raines

- Has duplicate Bug #23946: RH Subscriptions: subscription details page appears underneath upstream subscriptions page added

#6 - 06/17/2018 01:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|837ebedf32677686e0e7cf79ea307119e1d80a36.

#7 - 06/18/2018 08:59 PM - Walden Raines

- Target version deleted (253)
